//SECTION INSTA
.insta {

  &-header {
    @include flex-jb;
  }

  &-go-to-page {
    font-weight: bold;
    font-size: 13px;
    color: $main-font-color;
    text-transform: uppercase;

    &:after {
      content: " -";
    }
  }

  &-container {
    padding-top: 24px;
    display: grid;
  }

  &-link {
    display: block;
  }

  &-image {
    width: 100%;
    object-fit: cover;
  }
}

@media screen and (max-width: 480px) {
  .insta {
    padding: 38px 0 42px;

    &-header {
    }

    &-go-to-page {
      display: none;
    }

    &-container {
      grid-template-rows: 1fr;
      grid-template-columns: 1fr;
    }

    &-link {
      max-width: 301px;
      max-height: 301px;

      &:nth-child(1n+2) {
        display: none;
      }
    }

    &-image {
    }
  }
}
@media screen and (min-width: 481px) and (max-width: 992px) {
  .insta {
    padding: 47px 0 50px;
    background-color: $insta-bg;

    &-container {
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: 1fr;
      grid-gap: 9px;
    }

    &-link {
      max-width: 301px;
      max-height: 301px;

      &:nth-child(4) {
        display: none;
      }
    }
  }
}

@media screen and (min-width: 993px) {
  .insta {
    padding: 47px 0 50px;
    background-color: $insta-bg;

    &-container {
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: 1fr;
      grid-gap: 9px;
    }

    &-link {
      max-width: 301px;
      max-height: 301px;
    }
  }
}
